package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.BaseZengka;
import com.ssm.manage.entity.BaseZengkaIssue;
import com.ssm.manage.entity.BaseZengkaRequest;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.StoreDailyRequest;
import com.ssm.manage.response.BaseZengkaResponse;

import java.math.BigDecimal;
import java.util.List;

public interface SsmBaseZengkaService extends BaseService<BaseZengka> {
    PageInfo<BaseZengkaResponse> selectPage(BaseZengkaRequest baseZengkaRequest) throws SmsException;
    int add(BaseZengkaRequest baseZengkaRequest,String key) throws SmsException;
    int update(BaseZengkaRequest baseZengkaRequest,String key) throws SmsException;
    int updateState(BaseZengkaRequest baseZengkaRequest,String key,Long storeId) throws SmsException;
    int updateState1(BaseZengkaRequest baseZengkaRequest,String key,Long storeId) throws SmsException;
    List seleZengkaIssue(List<BaseZengka> z)throws SmsException;
    List<BaseZengkaIssue> seleZengkaIssueNew(List<BaseZengka> z)throws SmsException;

    BigDecimal NegativeKazinByDate(StoreDailyRequest storeDailyRequest);

    List<BaseZengkaRequest> selectList(BaseZengkaRequest baseZengkaRequest);
}
